From: Psi-Jack <[email-masked]>
Date: 20 Apr 2000 15:20:49 CDT

On Thu, 20 Apr 2000 15:35:36 -0400, Dan Espen said: 
 
> Psi-Jack <[email-masked]> writes: 
> >  
> > Well, /etc/X11/fvwm2, or similar, is where the system-wide 
> system.fvwm2rc 
> > belongs. it's a configuration file. 
> > However, scripts belong more so in ${datadir}/share/fvwm or similar, 
> for 
> > Scripts, themes, etc, to use as FVWM_CONFIGDIR. 
> > Or heck, even FVWM_DATADIR. 
>  
> Don't get me wrong, I don't care where these files go. 
>  
> I see little difference between system.fvwm2rc and ScriptFvwm*, 
> they are both config files. 
>  
> I don't think of ScriptFvwm* as a script, it is not an executable. 
>  
> I don't know about the Theme files, right now there are no theme 
> files in fvwm that I know about. 
 
Well, All the stuff in sysconfdir/fvwm are script or form. Form*,
Script* 
both use FvwmForm, or FvwmScript.  
Config* could probably be really considered a "Config" file that should 
be in etcdir (sysconfdir). 
 
But Script* and Form* technically by standards would not be config
files, 
because they are fvwm-native FvwmForm and FvwmScript, and should be in a 
shared directory such as FVWM_PREFIX/share/fvwm, instead of
ETCDIR/fvwm.. 
This would deduct logical good practice to keep them like that. 
I'll give you an example: Config files, like system.fvwm2rc, and 
fvwm/Config*, belong in ETCDIR/fvwm/, where Script* and Form* belong in 
FVWM_PREFIX/share/fvwm. If I keep my sysconfdir as /etc/X11/fvwm, like 
Debian, RedHat, or most distros do, then those Scripts and Forms are 
eating up my very valuable / partition. I keep my / at 80mb, which is 
more than enough for what _should_ be stored in / and /etc. /usr, /var, 
and /home are seperate partitions, and /opt, is an optional partition 
which some distros, and people, use. I stopped making an /opt, myself, 
but once I get a bigger HD, I'll use /opt again. 

You see my point? If not, feel free to ask me some questions. I'm all 
ears and all answers. 

<< Sorry guys: Forgot to send to fvwm-workers. I want everyone's opinions
on this >>

-- 
  -- Psi-Jack <Jack into the Matrix/NOW!!!>

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]